Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513706 - Heapster's Hawkular concurrency value should be configurable in ansible
Summary: Heapster's Hawkular concurrency value should be configurable in ansible
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Hawkular
Version: 3.7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.9.0
Assignee: John Sanda
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 19:46 UTC by Matt Wringe
Modified: 2018-03-28 14:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-28 14:12:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0489 None None None 2018-03-28 14:12:37 UTC

Description Matt Wringe 2017-11-15 19:46:38 UTC
There is a property value in Heapster which we can use to increase the number of connections between Heapster and Hawkular Metrics. This can increase performance.

Right now the only way to configure this is to make the change in the Heapster template. We should have this be configurable in ansible inventory file.

Comment 3 Junqi Zhao 2018-03-05 04:23:30 UTC
Default value for concurrencyLimit default is 5, and it can be configured by parameter openshift_metrics_heapster_concurrency_limit.

Sanity testing is passed.

# oc get po heapster-7k2fb -o yaml | grep concurrencyLimit
    - --sink=hawkular:https://hawkular-metrics:443?tenant=_system&labelToTenant=pod_namespace&labelNodeId=nodename&caCert=/hawkular-metrics-certs/tls.crt&user=%username%&pass=%password%&filter=label(container_name:^system.slice.*|^user.slice)&concurrencyLimit=5

# rpm -qa | grep openshift-ansible
openshift-ansible-playbooks-3.9.2-1.git.0.1a855b3.el7.noarch
openshift-ansible-roles-3.9.2-1.git.0.1a855b3.el7.noarch
openshift-ansible-3.9.2-1.git.0.1a855b3.el7.noarch
openshift-ansible-docs-3.9.2-1.git.0.1a855b3.el7.noarch

Comment 6 errata-xmlrpc 2018-03-28 14:12:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0489


Note You need to log in before you can comment on or make changes to this bug.